Loading...
Searching...
No Matches
get_version.hpp File Reference
API

routine to initialize libdar and manage its running threads More...

`#include "../my_config.h"`
`#include <string>`
`#include "integers.hpp"`

Go to the source code of this file.

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Functions

void | libdar::get_version (U_I &major, U_I &medium, U_I &minor, bool init_libgcrypt=true)
| return the libdar version, and make libdar initialization (may throw Exceptions)
void | libdar::get_version (U_I &major, U_I &medium, U_I &minor, bool init_libgcrypt, bool init_gpgme)
| returns the libdar version and make libdar initialization (may throw Exceptions)
void | libdar::get_version (bool init_libgcrypt=true)
| this method is to be used when you don't want to bother with major, medium and minor
void | libdar::close_and_clean ()

## Variables

constexpr U_I | libdar::LIBDAR_COMPILE_TIME_MAJOR = 6
| libdar Major version defined at compilation time
constexpr U_I | libdar::LIBDAR_COMPILE_TIME_MEDIUM = 7
| libdar Medium version defined at compilation time
constexpr U_I | libdar::LIBDAR_COMPILE_TIME_MINOR = 3
| libdar Minor version defined at compilation time

## Detailed Description

routine to initialize libdar and manage its running threads

Definition in file get_version.hpp.